/*
  $Id: setting.h 4269 2009-02-09 20:08:05Z rares $

  Copyright (C) 2009 by The Regents of the University of California

  Redistribution of this file is permitted under the terms of the
  BSD license

  Date: 09/01/2005
  Author: Rares Vernica <rares (at) ics.uci.edu> 
*/

#ifndef _setting_
#define _setting_

#import <string>   

using namespace std;

const string out_path                = "/home/rvernica/projects/JQR2/out/size/";
const string out_join_file_name      = out_path + "join.txt";
const string out_skyline_filename[4]  = { "JoinFirst", "PruningJoin", "PruningJoin+", "SortedAccessJoin" };

string out_skyline_fullpath[4];
string out_skyline_size_fullpath[4];

const unsigned card_st = 10;
const unsigned card_en = 10;
const unsigned card_in = 4;

const unsigned size_R_st = 1000; //50000; //45000;
const unsigned size_R_en = 1000; //120000; //45000;
const unsigned size_R_in = 10000;

const unsigned size_S = 1000; //1200000; //1100000;

const unsigned dim = 4;

// #define TopK 10
// const float weights[dim] = { .2, .4, .3, .1 };

// #define PRINT_SKYLINE 1
// #define PRINT_INFO    1
#define WRITE_RESULTS 1

// #define DIM_1_X_ONLY 1
// #define DIM_X_1_ONLY 1

#define DIM_2_X_ONLY 1
#define DIM_X_2_ONLY 1

// #define DIM_3_X_ONLY 1
// #define DIM_X_3_ONLY 1

#define DIM_2_X      1
// #define DIM_3_X      1

#define DIM_X_2      1
// #define DIM_X_3      1

#define DIM_S_A      2

#endif
